Subject: [bug#62008] [PATCH 0/2] Update Disarchive to 0.5.0

From: Ludovic Courtès <[email-masked]>
Date: Fri, 10 Mar 2023 09:17:50 +0100

Hi Simon!

Simon Tournier <[email-masked]> skribis:

> On mar., 07 mars 2023 at 10:49, Ludovic Courtès <[email-masked]> wrote:
>
>> For this package, I have a slight preference for keeping propagated
>> inputs so that one can use Disarchive as a library.
>
> Well, maybe I am missing a point but currently for Disarchive standalone,
>
> $ guix shell -C disarchive -- disarchive disassemble hello-2.12.1
> Backtrace:

Hmm good point.  So maybe we need to wrap after all, and also keep
propagated inputs (as an example, (guix build download) uses the
Disarchive modules directly, not the command.)

I realize that I worked around it in ‘etc/disarchive-manifest.scm’.

>>> +              (let* ((effective
>>> +                      (read (open-pipe* OPEN_READ
>>> +                                        (string-append #$guile-3.0 "/bin/guile")
>>> +                                        "-c" "(write (effective-version))")))
>>
>> (guix build guile-build-system) exports ‘target-guile-effective-version’
>> to do that; it’s more convenient.
>
> I did not know.  Well, I will adapt Cuirass and Dezyne too, IIUC. :-)

Awesome.

>
>>> +                     (modules (list #$output
>>> +                                    #$guile-bytestructures
>>> +                                    #$guile-gcrypt
>>> +                                    #$guile-lzma))
>>
>> This should use (this-package-input "guile-bytestructures“) and similar,
>> for consistency.
>
> Ok.  Just for my understanding about the "consistency”, is the procedure
> ’make-gitolite’ from (gnu packages version-conrol) consistent?

It should use ‘this-package-input’ as well, to keep input fields and
inheritance meaningful.

Thanks,
Ludo’.